package org.springblade.community.feign;

import io.swagger.annotations.ApiParam;
import org.springblade.community.entity.Room;
import org.springblade.community.vo.RoomVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import javax.validation.Valid;
import java.util.List;

/**
 * 房间表 Feign
 *
 * @author lianghanqiang
 * @since 2021-03-29
 */
@FeignClient(value = "cyzh-community",path = "/feign/room")
public interface IRoomClient  {

	/**
	 * 详情
	 */
	@GetMapping("/detail")
    RoomVO detail(@SpringQueryMap Room room);

	@GetMapping("/getById")
	Room getById(@RequestParam Long id);
	/**
	 * 查询 房间表
	 */
	@GetMapping("/list")
    List<RoomVO> list(@SpringQueryMap Room room);



	/**
	 * 新增 房间表
	 */
	@PostMapping("/save")
	boolean save(@Valid @RequestBody Room room);

	/**
	 * 修改 房间表
	 */
	@PostMapping("/update")
    boolean update(@Valid @RequestBody Room room);

	/**
	 * 新增或修改 房间表
	 */
	@PostMapping("/submit")
    boolean submit(@Valid @RequestBody Room room);


	/**
	 * 删除 房间表
	 */
	@PostMapping("/remove")
    boolean remove(@ApiParam(value = "主键集合", required = true) @RequestParam String ids);

	/**
	 * 删除 房间表
	 */
	@PostMapping("/getListByRoomIds")
	List<RoomVO> getListByRoomIds( @RequestParam List<Long> ids);


}
